On Wed, 2010-10-06 at 20:12 +0200, Reinhard Tartler wrote:
> On Wed, Oct 06, 2010 at 17:32:10 (CEST), Roman Haefeli wrote:
> 
> > Hi all
> >
> > I uploaded a new package pd-readanysf, which is a Pd external object for
> > reading and receiving many audio formats.
> >
> > ITP-Bug:  #598388
> >
> > I'd be happy if someone could have a look.
> 
> I had a quick look at the packaging, looks mostly fine but the build
> dependencies. It declares a dependency on libgmerlin-avdec-dev that does
> not seem to exist in debian. uh? Did you actually build and test the package?

Yeah, frankly I only tested the build by including my PPA from
launchpad, where I have a copy of gmerlin-avdecoder.

> moreover, every dependency is versioned. Is that really necessary or did
> you add these constraints 'just in case'?

The latter. 

>  If that is right, please avoid
> that and add them only if they are really necessary and comment in the
> commit message why they are necessary.

Ok, I'll do so in the future (I'm still learning). I removed the
specific versions from the build dependencies where unnecessary.

There is still the problem that gmerlin-avdecoder is not yet in debian,
but I found it in the git repositories of pkg-multimedia. Is there a way
to include the git repository as a deb source? 
How should I proceed in such a situation anyway? Is the best to wait
until the dependencies makes it into debian?

Thanks a lot for your support and your quick reponse

Roman



_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to